# Function createWorkerApi

- createWorkerApi<T>(workerUrl, workerName): {
  worker: WorkerType;
  workerApiProxy: Remote<T>;
  }

- #### Type Parameters

  - T

  #### Parameters

  - workerUrl: URL
  - workerName: string

  #### Returns {
  worker: WorkerType;
  workerApiProxy: Remote<T>;
  }

  - ##### worker: WorkerType

  - ##### workerApiProxy: Remote<T>

  - Defined in work/deeplinks/deeplinks/imports/cyber/backend/workers/factoryMethods.ts:65